
From: Matt Mackall <mpm@selenic.com>

drop quota array in inode struct if no quota support


---

 25-akpm/fs/inode.c         |    2 ++
 25-akpm/include/linux/fs.h |    2 ++
 2 files changed, 4 insertions(+)

diff -puN fs/inode.c~no-quota-inode-shrinkage fs/inode.c
--- 25/fs/inode.c~no-quota-inode-shrinkage	2004-04-03 03:00:08.879881608 -0800
+++ 25-akpm/fs/inode.c	2004-04-03 03:00:08.884880848 -0800
@@ -126,7 +126,9 @@ static struct inode *alloc_inode(struct 
 		inode->i_blocks = 0;
 		inode->i_bytes = 0;
 		inode->i_generation = 0;
+#ifdef CONFIG_QUOTA
 		memset(&inode->i_dquot, 0, sizeof(inode->i_dquot));
+#endif
 		inode->i_pipe = NULL;
 		inode->i_bdev = NULL;
 		inode->i_cdev = NULL;
diff -puN include/linux/fs.h~no-quota-inode-shrinkage include/linux/fs.h
--- 25/include/linux/fs.h~no-quota-inode-shrinkage	2004-04-03 03:00:08.880881456 -0800
+++ 25-akpm/include/linux/fs.h	2004-04-03 03:00:08.886880544 -0800
@@ -403,7 +403,9 @@ struct inode {
 	struct file_lock	*i_flock;
 	struct address_space	*i_mapping;
 	struct address_space	i_data;
+#ifdef CONFIG_QUOTA
 	struct dquot		*i_dquot[MAXQUOTAS];
+#endif
 	/* These three should probably be a union */
 	struct list_head	i_devices;
 	struct pipe_inode_info	*i_pipe;

_
